petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetName

Sets a string name associated with a PETSc object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetName(PetscObject obj,const char name[])

Not Collective Many br

### Input Parameters

| obj | - the Petsc variable Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectSetName((PetscObject)mat,name); Many br
| name | - the name to give obj Many br

Many br

### See Also

PetscObjectGetName()

Level:advanced
Location:src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex4f.F.html
src/vec/vec/examples/tutorials/ex4f90.F.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex51.c.html